{$A+,B-,D-,E+,F+,G+,I+,L-,N-,O-,P-,Q-,R-,S+,T-,V+,X+,Y-}
{$M 16384,0,655360}
program SHOW_HOW_TO_DEBUG;

uses Crt;

var inputvar : word;
    lives    : byte;
    factor   : real;

procedure Init_variables;
begin
  lives  := 4;
  factor := 0.27
end;

procedure User_input;
begin
  textcolor(14);
  gotoxy(10,3);
  write('                                                     ');
  gotoxy(10,3);
  write('Please enter your new test value : ');
  readln(inputvar);
end;

procedure Nonsense_evaluation;
begin
  if (inputvar * factor) < 10 then
    dec(lives);
end;

procedure Write_status;
begin
  textcolor(15);
  gotoxy(10,10);
  write('Input : ',inputvar:5,'      ==>    lives : ',lives:3);
end;

begin
  clrscr;
  Init_variables;
  repeat
    User_input;
    Nonsense_evaluation;
    Write_status;
  until lives = 0;
end.